Storyden
Robots

Request cancellation of a Robot session turn

Create the singleton cancellation request for a queued, running, or blocked Robot turn. The operation is idempotent and asynchronous: accepted cancellation is reflected by a `turn_cancelled` event on the session stream. Cancelling a turn does not remove other queued messages, which remain eligible for later turns.

PUT
/robots/sessions/{session_id}/turns/{turn_id}/cancellation

Create the singleton cancellation request for a queued, running, or blocked Robot turn. The operation is idempotent and asynchronous: accepted cancellation is reflected by a turn_cancelled event on the session stream. Cancelling a turn does not remove other queued messages, which remain eligible for later turns.

Authorization

cookiestoryden-session<token>

Path Parameters

session_id*string

Robot session ID

Formatxid
turn_id*string

Robot turn ID

Formatxid

Response Body

Cancellation request accepted.

Example Request
curl -X PUT 'https://example.com/api/robots/sessions/string/turns/string/cancellation'
Example Response
Empty